Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PImage

Name

### updatePixels()

Examples

    int halfImage = width*height/2;
    PImage myImage = loadImage("topanga.jpg");
    myImage.loadPixels();
    for (int i = 0; i < halfImage; i++) {
      myImage.pixels[i+halfImage] = pixels[i];
    }
    myImage.updatePixels();
    image(myImage, 0, 0);

Description

Updates the image with the data in its pixels[] array. Use in conjunction with loadPixels(). If you're only reading pixels from the array, there's no need to call updatePixels().
Certain renderers may or may not seem to require loadPixels() or updatePixels(). However, the rule is that any time you want to manipulate the pixels[] array, you must first call loadPixels(), and after changes have been made, call updatePixels(). Even if the renderer may not seem to use this function in the current Processing release, this will always be subject to change.
Currently, none of the renderers use the additional parameters to updatePixels(), however this may be implemented in the future.

Syntax

    img.updatePixels()
    img.updatePixels(x, y, w, h)

Parameters

img | any variable of type PImage

Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST